function JacketFlag = wfnCheckGPUsoft()
%WFNCHECKGPUSOFT A function to verify that the JACKET software is available.
% 
%  Input: [None]
%
%  Output: 
%  JacketFlag = a flag to identify the computing state
%  0 = JACKET not found
%  1 = JACKET found
%
%  Comment:
%  To install JACKET one can follow the instructions in 
%  http://wiki.accelereyes.com/wiki/index.php/Installation_and_Activation
%  
%  If installed, check that the path to the JACKET engine has been
%  added to the MATLAB path.
%  For example with: addpath('/usr/local/jacket/engine')
%
%  Author: 
%  Patrick Kano, Moysey Brio - 2011
%
%  Modification Date [M/D/Y]:
%  03/30/2011 - Version 1.0

pathdata = strfind(path,'jacket');
if(isempty(pathdata)==1)
 JacketFlag = 0;
 disp('The JACKET sofware was not located.');
else 
 JacketFlag = 1;
 disp('The JACKET software is available.');
end

end %function definition
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

